<?
@include('inc/header.php');
?>
<?php
$youip=$HTTP_SERVER_VARS["REMOTE_ADDR"]; // 获取本机IP地址
$remoteip=$HTTP_POST_VARS['remoteip']; // 获取表单提交的IP地址
?>
<style>
.main{ border:1px solid #7A7A7A;padding:10px;}
.main table { border:1px solid #7A7A7A; border-bottom:none;}
.main table tr td{ border-bottom:1px solid #7A7A7A;border-right:1px solid #7A7A7A;}
.main table .tr{ font-weight:bold}
</style>
<div class="main">
<div style="width:600px; margin:0 auto">
<?php
if (!empty($remoteip)){
// 如果表单不为空就进入IP地址格式的判断
function err() {
die("<center>对不起，该IP地址不合法<p><a href=Javascript:history.back(1)>点击返回</a>");
}
// 定义提交错误IP的提示信息
$ips=explode(".",$remoteip);
// 用.分割IP地址
if (intval($ips[0])<1 or intval($ips[0])>255 or intval($ips[3])<1
or intval($ips[3]>255)) err();
// 如果第一段和最后一段IP的数字小于1或者大于255，则提示出错
if (intval($ips[1])<0 or intval($ips[1])>255 or intval($ips[2])<0
or intval($ips[2]>255)) err();
// 如果第二段和第三段IP的数字小于0或者大于255，则提示出错
$closed='此端口目前处于关闭状态。';
$opened='<font color=red>此端口目前处于打开状态！</font>';
$close="关闭";
$open="<font color=red>打开</font>";
$port=array(21,23,25,79,80,110,135,137,138,139,143,443,445,1433,3306,3389);
$msg=array(
'Ftp',
'Telnet',
'Smtp',
'Finger',
'Http',
'Pop3',
'Location Service',
'Netbios-NS',
'Netbios-DGM',
'Netbios-SSN',
'IMAP',
'Https',
'Microsoft-DS',
'MSSQL',
'MySQL',
'Terminal Services'
);
// 通过IP格式的检查后用数组定义各端口对应的服务名称及状态
echo "<table border=0 cellpadding=15 cellspacing=0>\n";
echo "<tr>\n";
echo "<td align=center><strong>您扫描的IP：<font color=red>".$remoteip."</font></strong></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table cellpadding=5 cellspacing=1 bgcolor=#636194>\n";
echo "<tr bgcolor=#7371A5 align=center>\n";
echo "<td><span class=style1>端口</span></td>\n";
echo "<td><span class=style1>服务</span></td>\n";
echo "<td><span class=style1>检测结果</span></td>\n";
echo "<td><span class=style1>描述</span></td>\n";
echo "</tr>\n";
// 输出显示的表格
for($i=0;$i<sizeof($port);$i++)
{
$fp = @fsockopen($remoteip, $port[$i], &$errno, &$errstr, 1);
if (!$fp) {
echo "<tr bgcolor=#FFFFFF><td align=center>".$port[$i]."</td><td>".$msg[$i]."</td><td align=center>".$close."</td><td>".$closed."</td></tr>\n"; 
} else {
echo "<tr bgcolor=#F4F7F9><td align=center>".$port[$i]."</td><td>".$msg[$i]."</td><td align=center>".$open."</td><td>".$opened."</td></tr>";
}
}
// 用for语句，分别用fsockopen函数连接远程主机的相关端口，并输出结果
echo "<tr><td colspan=4 align=center>\n";
echo "<a href=portscan.php><font color=#FFFFFF>继续扫描>>></font></a></td>\n";
echo "</tr\n";
echo "</table>\n";
echo "<TABLE cellSpacing=0 cellPadding=10 width=100% border=0>\n";
echo "<TR>\n";
echo "<TD align=center><b>已为您扫描完毕，点击返回继续扫描。</b></TD>\n";
echo "</TR>\n";
echo "</TABLE>\n";
echo "</center>\n";
echo "</body>\n";
echo "</html>\n";
exit;
}
// 探测结束
echo "<table border=0 cellpadding=15 cellspacing=0>\n";
echo "<tr>\n";
echo "<td align=center><strong>您的IP：<font color=red>".$youip."</font></strong></td>\n";
echo "</tr>\n";
echo "<form method=POST action=portscan.php>\n";
echo "<tr><td>\n";
echo "<center>\n";
echo "请输入IP：<input type=text name=remoteip size=20>\n";
echo "<input type=submit value=扫描 name=scan>\n";
echo "</td></tr>\n";
echo "</form>";
echo "</table>\n";
// 如果表单为空则显示提交IP地址的表单
?>
<p>通过该工具可以扫描常用的端口和指定的端口是否开放。</p>
<p>常用端口号：</p>
<p>代理服务器常用以下端口：</p>
<p>（1）. HTTP协议代理服务器常用端口号：80/8080/3128/8081/9080</p>
<p>（2）. SOCKS代理协议服务器常用端口号：1080</p>
<p>（3）. FTP（文件传输）协议代理服务器常用端口号：21</p>
<p>（4）. Telnet（远程登录）协议代理服务器常用端口：23</p>
<p>HTTP服务器，默认的端口号为80/tcp（木马Executor开放此端口）</p>
<p>HTTPS（securely transferring web pages）服务器，默认的端口号为443/tcp 443/udp</p>
<p>Telnet（不安全的文本传送），默认端口号为23/tcp（木马Tiny Telnet Server所开放的端口）</p>
<p>FTP，默认的端口号为21/tcp（木马Doly Trojan、Fore、Invisible FTP、WebEx、WinCrash和Blade Runner所开放的端口）</p>
<p>TFTP（Trivial File Transfer Protocol ），默认的端口号为69/udp</p>
<p>SSH（安全登录）、SCP（文件传输）、端口重定向，默认的端口号为22/tcp</p>
<p>SMTP Simple Mail Transfer Protocol (E-mail)，默认的端口号为25/tcp（木马Antigen、Email Password Sender、Haebu Coceda、Shtrilitz Stealth、WinPC、WinSpy都开放这个端口）</p>
<p>POP3 Post Office Protocol (E-mail) ，默认的端口号为110/tcp</p>
<p>WebLogic，默认的端口号为7001</p>
<p>WebSphere应用程序，默认的端口号为9080</p>
<p>WebSphere管理工具，默认的端口号为9090</p>
<p>JBOSS，默认的端口号为8080</p>
<p>TOMCAT，默认的端口号为8080</p>
<p>WIN2003远程登陆，默认的端口号为3389</p>
<p>Symantec AV/Filter for MSE ,默认端口号为 8081</p>
<p>Oracle 数据库，默认的端口号为1521</p>
<p>ORACLE EMCTL，默认的端口号为1158</p>
<p>Oracle XDB（ XML 数据库），默认的端口号为8080</p>
<p>Oracle XDB FTP服务，默认的端口号为2100</p>
<p>MS SQL*SERVER数据库server，默认的端口号为1433/tcp 1433/udp</p>
<p>MS SQL*SERVER数据库monitor，默认的端口号为1434/tcp 1434/udp</p>
<p>QQ，默认的端口号为1080/udp</p>
</div>
</table>
</div>
<?
@include('inc/footer.php');
?>